summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author core2010-05-11 15:18:37 +0200
committer Michiel van Wessem2010-05-11 15:18:37 +0200
commit3dfe9603250b69c1e8d49b06b71e886f0038bbdb (patch)
treef7665727da392e5557d12c5448974ba6b3865547 /system
parent0c0a6ef60f6e09152b08139f388f341dd9cc0e0b (diff)
downloadslackbuilds-3dfe9603250b69c1e8d49b06b71e886f0038bbdb.tar.gz
system/fuse: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/fuse/README17
-rw-r--r--system/fuse/fuse.SlackBuild75
-rw-r--r--system/fuse/fuse.info8
-rw-r--r--system/fuse/slack-desc11
4 files changed, 111 insertions, 0 deletions
diff --git a/system/fuse/README b/system/fuse/README
new file mode 100644
index 0000000000..335b691f4c
--- /dev/null
+++ b/system/fuse/README
@@ -0,0 +1,17 @@
+FUSE - Filesystem in Userspace
+
+FUSE is a simple interface for userspace programs to export
+a virtual filesystem to the Linux kernel. FUSE also aims to
+provide a secure method for non privileged users to create
+and mount their own filesystem implementations.
+
+NOTE:
+- To use FUSE with ntfs-3g, it is necessary to configure it as
+a module (--enable-kernel-module), and each time you install
+a new kernel(and obviously it's modules), you should rerun this
+slackbuild to make a package that fits with the modules of
+your new kernel.
+
+- It has a "KERNEL" variable to add it in the name of the final
+package, so you can identify the kernel who was used to build
+fuse.
diff --git a/system/fuse/fuse.SlackBuild b/system/fuse/fuse.SlackBuild
new file mode 100644
index 0000000000..b5ab390cdc
--- /dev/null
+++ b/system/fuse/fuse.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for fuse
+
+# Written by core <eroc@linuxmail.org>
+
+set -e
+
+PRGNAM=fuse
+VERSION=2.6.5
+KERNEL=${KERNEL:-`uname -r`}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-kernel-module \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-lib \
+ --enable-util
+
+# ARCH creates a conflict with make, so...
+ARCHTMP="$ARCH"
+unset -v ARCH && make
+make install DESTDIR=$PKG
+ARCH="$ARCHTMP"
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Move the start|stop script of fuse to the right place.
+mv $PKG/etc/init.d $PKG/etc/rc.d
+mv $PKG/etc/rc.d/fuse $PKG/etc/rc.d/rc.fuse
+chmod +x $PKG/etc/rc.d/rc.fuse
+sed -r -i 's/(SCRIPTNAME=).*/\1\/etc\/rc.d\/rc.fuse/' $PKG/etc/rc.d/rc.fuse || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING COPYING.LIB FAQ Filesystems \
+ INSTALL NEWS README README.NFS doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION\_$KERNEL-$ARCH-$BUILD$TAG.tgz
diff --git a/system/fuse/fuse.info b/system/fuse/fuse.info
new file mode 100644
index 0000000000..de0366dfbe
--- /dev/null
+++ b/system/fuse/fuse.info
@@ -0,0 +1,8 @@
+PRGNAM="fuse"
+VERSION="2.6.5"
+HOMEPAGE="http://fuse.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/fuse/fuse-2.6.5.tar.gz"
+MD5SUM="66bd30503df55a87b9868835ca5a45bc"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="BP{k}"
diff --git a/system/fuse/slack-desc b/system/fuse/slack-desc
new file mode 100644
index 0000000000..a7462617d9
--- /dev/null
+++ b/system/fuse/slack-desc
@@ -0,0 +1,11 @@
+fuse: FUSE - Filesystem in Userspace
+fuse:
+fuse: FUSE is a simple interface for userspace programs to export
+fuse: a virtual filesystem to the Linux kernel. FUSE also aims to
+fuse: provide a secure method for non privileged users to create
+fuse: and mount their own filesystem implementations.
+fuse:
+fuse: Homepage: http://fuse.sourceforge.net
+fuse:
+fuse:
+fuse: